Main

 

 

Conduit for Final Cut Pro X

Created by Pauli Ojala and Ben Syverson

 

Contents System Requirements

Conduit Live 2.0 for Mac

Conduit 2.0 for Final Cut Pro and Motion

(FCP 5.1.4 or higher, Motion 3 or higher)

Conduit 2.0 for After Effects and Photoshop

(CS3, CS4 or CS5)


Minimum Requirements:
Mac OS X 10.5.8 or higher
Intel Core Duo, Xeon or PowerPC G5 processor
1 GB of RAM or more

Highly recommended:
Discrete graphics (NVIDIA or ATI)
Safari 4.0.4 or higher


Please note:

Conduit is not Windows compatible.